﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class About : System.Web.UI.Page
{

    List<string[]> companiesInfo;
    
    string companiesJSON;
    public string CompaniesJSON
    { get { return companiesJSON; } }

    protected void Page_Load(object sender, EventArgs e)
    {
        companiesInfo = DA.CompanyDataAdapter.GetCompaniesInfoForMap();
        companiesJSON = GetCompInfo();
    }
    protected string GetCompInfo()
    {
        string json = "[";
        foreach (string[] comp in companiesInfo)
        {
            json += "['" + comp[0] + "','" + comp[1] + "'," + comp[2] + "," + comp[3] + "],";
        }
        json = json.Remove(json.Length - 1, 1);
        json += "]";
        return json;
    }

    protected void CustomersGridView_SelectedIndexChanged(Object sender, EventArgs e)
    {

        // Get the currently selected row using the SelectedRow property.
        GridViewRow row = CompanyGrid.SelectedRow;

        // Display the company name from the selected row.
        // In this example, the third column (index 2) contains
        // the company name.
       // Message.Text = "You selected " + row.Cells[1].Text + ".";
        //Request["companyId"] = row.Cells[1].Text;
        Response.Redirect("CompanyProfile.aspx?companyId=" + row.Cells[1].Text);

    }


}
