﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="CompanyProfile.aspx.cs" Inherits="CompanyProfile" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
        .style1
        {
            width: 231px;
        }
    </style>
    <script charset="UTF-8" type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=7.0"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <h2>
        Company Profile
    </h2>
    <table style="width: 100%; height: 100%;">
        <tr>
            <td colspan="2">
                <asp:Label ID="MessageLbl" runat="server" Text="" Font-Size="10" Font-Bold="True"
                    ForeColor="#993366"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="style1" valign="top">
                <fieldset style="width: 100; height: 330px;">
                    <legend>Activities </legend>
                    <asp:TreeView ID="ManagerTreeView" runat="server" Height="80px" Width="138px">
                        <Nodes>
                            <asp:TreeNode Text="User" Expanded="false">
                                <asp:TreeNode Text="Add Communication Manager" NavigateUrl="" />
                                <asp:TreeNode Text="List of User" NavigateUrl="" />
                            </asp:TreeNode>
                            <asp:TreeNode Text="Message" Expanded="false">
                                <asp:TreeNode Text="Send Message" NavigateUrl="" />
                                <asp:TreeNode Text="List of Messages" NavigateUrl="" />
                            </asp:TreeNode>
                            <asp:TreeNode Text="Project" Expanded="false">
                                <asp:TreeNode Text="Add Project" NavigateUrl="" />
                                <asp:TreeNode Text="List of Project" NavigateUrl="" />
                            </asp:TreeNode>
                        </Nodes>
                    </asp:TreeView>
                    <asp:TreeView ID="UserTreeView" runat="server" Height="80px" Width="138px" Visible="false">
                        <Nodes>
                            <asp:TreeNode Text="User" Expanded="false">
                                <asp:TreeNode Text="Add Communication Manager" NavigateUrl="" />
                                <asp:TreeNode Text="List of User" NavigateUrl="" />
                            </asp:TreeNode>
                            <asp:TreeNode Text="Message" Expanded="false">
                                <asp:TreeNode Text="Send Message" NavigateUrl="" />
                                <asp:TreeNode Text="List of Messages" NavigateUrl="" />
                            </asp:TreeNode>
                            <asp:TreeNode Text="Project" Expanded="false">
                                <asp:TreeNode Text="List of Project" NavigateUrl="" />
                            </asp:TreeNode>
                        </Nodes>
                    </asp:TreeView>
                    <asp:TreeView ID="unregisteredUserTreeView" runat="server" Height="80px" Width="138px"
                        Visible="false">
                        <Nodes>
                            <asp:TreeNode Text="User" Expanded="false">
                                <asp:TreeNode Text="List of User" NavigateUrl="" />
                            </asp:TreeNode>
                            <asp:TreeNode Text="Project" Expanded="false">
                                <asp:TreeNode Text="List of Project" NavigateUrl="" />
                            </asp:TreeNode>
                        </Nodes>
                    </asp:TreeView>
                </fieldset>
            </td>
            <td valign="top">
                <fieldset style="height: 330px;">
                    <legend>Company Information </legend>
                    <div style="float: left;">
                        <table style="">
                            <tr>
                                <td>
                                    <asp:Label ID="cmpRegIdLbl" runat="server" Text="Company Registeration Id : "></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="CmpRegIdTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="Label1" runat="server" Text="Company Name : "></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="CmpNameTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="CountryLbl" runat="server" Text="Contry :"></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="CountryTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="CategoryLbl" runat="server" Text="Category : "></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="CategoryTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="websiteAddLbl" runat="server" Text="WebSite Address : "></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="websiteAddTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="emailLbl" runat="server" Text="Email : "></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="emailCmpTxt" runat="server" Enabled="false"></asp:Label>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id='mapDiv' style="position: relative; width: 330px; height: 300px; float: right;">
                    </div>
                    <div id='infoBox' style="visibility:hidden; position:absolute; top:0px; left:0px; width:260px; z-index:10000; font-family:Arial; font-size:10px">
                        <div id='infoboxText' style="background-color:White; border-style:solid; border-width:medium; border-color:DarkOrange; min-height:100px; position:absolute; top:0px; left:23px; width:240px; ">
                            <b id='infoboxTitle' style="position:absolute; top:10px; left:10px; width:220px;"></b>
                            <img src="Images/close.png" alt="close" onclick="closeInfoBox()" style="position:absolute;top:10px; right:10px;" />
                            <a id='infoboxDescription' style="position:absolute; top:30px; left:10px; width:220px;"></a>
                        </div>
                    </div> 
                    <script>
                     var compname = '<%=Compname%>';
                     var compwebsite = '<%=CompWebSite%>';
                     var long = <%=Longitude%>;
                     var lat =  <%=Latitude%>;
                     var loc = new Microsoft.Maps.Location(long, lat);
                     
                     var mapOptions = {
                            credentials: "AilRD61GWVDqXCXS-U9nds-ZFuILWEx0UXDKB7F16EyJHXzOgIoCq21PLjSlcIN9",
                            center: loc,
                            mapTypeId: Microsoft.Maps.MapTypeId.birdseye,
                            zoom: 15,
                            showScalebar: false
                     }
                        var map = new Microsoft.Maps.Map(document.getElementById("mapDiv"), mapOptions);
                        var pin = new Microsoft.Maps.Pushpin(loc);
                        Microsoft.Maps.Pushpin.prototype.title = null;
                        pin.title = compname;
                        Microsoft.Maps.Pushpin.prototype.description = null;
                        pin.description = compwebsite;

                        //Add handler for the pushpin click event.
                        Microsoft.Maps.Events.addHandler(pin, 'click', displayEventInfo);
                        map.entities.push(pin);

                        // Center the map on the location
                        //map.setView({ center: loc, zoom: 17 });


                         function displayEventInfo(e) {
                              if (e.targetType == "pushpin") {
                                  var pix = map.tryLocationToPixel(e.target.getLocation(), Microsoft.Maps.PixelReference.control);
                                  var infoboxTitle = document.getElementById('infoboxTitle');
                                  infoboxTitle.innerHTML = e.target.title;
                                  var infoboxDescription = document.getElementById('infoboxDescription');
                                  infoboxDescription.innerHTML = e.target.description;
                                  var infobox = document.getElementById('infoBox');
                                  infobox.style.top = (pix.y - 60) + "px";
                                  infobox.style.left = (pix.x + 5) + "px";
                                  infobox.style.visibility = "visible";
                                  document.getElementById('mapDiv').appendChild(infobox);
                              }
                        }

                      function closeInfoBox() {
                          var infobox = document.getElementById('infoBox');
                          infobox.style.visibility = "hidden";
                      }
                    </script>
                </fieldset>
            </td>
        </tr>
    </table>
    <br />
</asp:Content>
