﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DA;

public partial class CompanyProfile : System.Web.UI.Page
{
    public int CmpId
    {
        get { return cmpId; }
    }

    int cmpId;
    public string Longitude
    {
        get { return longitude; }
    }
    string longitude;
    public string CompWebSite
    {
        get { return compWebSite; }
    }
    string compWebSite;
    public string Latitude
    {
        get { return latitude; }
    }
    string latitude;
    public string Compname
    {
        get { return compname; }
    }
    string compname;

    public void Page_Load(object sender, EventArgs e)
    {
       
        if (Session["role"] != null)
        {
            if (Session["role"].ToString() == "User")
            {

                ManagerTreeView.Visible = false;
                unregisteredUserTreeView.Visible = false;
                UserTreeView.Visible = true;
                UserTreeView.Nodes[0].ChildNodes[0].NavigateUrl = "CommunicationManagerRegister.aspx?companyId=" + Request.QueryString["companyId"];
                UserTreeView.Nodes[0].ChildNodes[1].NavigateUrl = "CompanyUserList.aspx?companyId=" + Request.QueryString["companyId"];

                ManagerTreeView.Nodes[1].ChildNodes[0].NavigateUrl = "NewMessageToCompanyPage.aspx?id=" + Request.QueryString["companyId"];
                ManagerTreeView.Nodes[1].ChildNodes[1].NavigateUrl = "CompanyListOfMessages.aspx?id=" + Request.QueryString["companyId"];

            }
            else
            {
                ManagerTreeView.Visible = true;
                UserTreeView.Visible = false;
                unregisteredUserTreeView.Visible = false;
                ManagerTreeView.Nodes[0].ChildNodes[0].NavigateUrl = "CommunicationManagerRegister.aspx?companyId=" + Request.QueryString["companyId"];
                ManagerTreeView.Nodes[0].ChildNodes[1].NavigateUrl = "CompanyUserList.aspx?companyId=" + Request.QueryString["companyId"];

                ManagerTreeView.Nodes[1].ChildNodes[0].NavigateUrl = "NewMessageToCompanyPage.aspx?id=" + Request.QueryString["companyId"];
                ManagerTreeView.Nodes[1].ChildNodes[1].NavigateUrl = "CompanyListOfMessages.aspx?id=" + Request.QueryString["companyId"];

                ManagerTreeView.Nodes[2].ChildNodes[0].NavigateUrl = "createProject.aspx?companyId=" + Request.QueryString["companyId"];
                ManagerTreeView.Nodes[2].ChildNodes[1].NavigateUrl = "ProjectList.aspx?companyId=" + Request.QueryString["companyId"];

            }
        }
        else
        {
            ManagerTreeView.Visible = false;
            UserTreeView.Visible = false;
            unregisteredUserTreeView.Visible = true;
            unregisteredUserTreeView.Nodes[0].ChildNodes[0].NavigateUrl = "CompanyUserList.aspx?companyId=" + Request.QueryString["companyId"];
            unregisteredUserTreeView.Nodes[1].ChildNodes[0].NavigateUrl = "ProjectList.aspx?companyId=" + Request.QueryString["companyId"];
        }

        if (Request.QueryString["companyId"] != null)
        {
            cmpId = int.Parse(Request.QueryString["companyId"]);
            string[] company = CompanyDataAdapter.FindCompany(cmpId);

            CmpRegIdTxt.Text = company[1];
            CmpNameTxt.Text = company[2];
            CategoryTxt.Text = company[3];
            CountryTxt.Text = company[4];
            websiteAddTxt.Text = company[5];
            emailCmpTxt.Text = company[6];
            longitude = company[7];
            latitude = company[8];
            compname = company[2];
            compWebSite = company[5];
        }

        if (Request.QueryString["message"] != null)
        {
            string message = Request.QueryString["message"].ToString();
            if (message == "addUSer")
                MessageLbl.Text = "The user has inserted successfully!";
            else if (message == "addProject")
                MessageLbl.Text = "The project has inserted successfully!";
            else if (message == "addCompany")
                MessageLbl.Text = "The company has registered successfully!";
        }
    }

}
