﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DA;

public partial class UserProfile : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["id"] != null)
        {
            string rid = Request.QueryString["id"];
            int myid = Int32.Parse(rid); ;
            string[] users = UserDataAdapter.FindUser(myid);

            if(users[0] != null)
            {
                userImage.ImageUrl = "UserAvatars/" + users[3];

                if (Session["role"] != null && Session["role"].ToString() == "Manager")
                {
                    if(Session["userId"].ToString() == Request.QueryString["id"].ToString())
                    {
                        registerCompanyLink.Visible = true;
                    }
                    else
                    {
                        registerCompanyLink.Visible = false;
                    }
                }
            }
            else
            {
                Response.Redirect("Default.aspx");
            }

        }
        else if (Session["role"] != null && Session["role"].ToString() == "Manager")
        {
            registerCompanyLink.Visible = true;

            userImage.ImageUrl = "UserAvatars/" + Session["userImage"];
        }
        else
        {
            Response.Redirect("Default.aspx");
        }

        if (Request.QueryString["message"] != null)
        {
            string message = Request.QueryString["message"].ToString();
            if (message == "addUSer")
                MessageLbl.Text = "The user has inserted successfully!";
            else if (message == "addProject")
                MessageLbl.Text = "The project has inserted successfully!";
            else if (message == "addCompany")
                MessageLbl.Text = "The company has registered successfully!";
            else if (message == "addAnnouncement")
                MessageLbl.Text = "The announcement has been added successfully!";
        }
    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
}
