﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DA;

public partial class createAnnouncements : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["role"] == null && Session["role"].ToString() != "Manager")
        {
            Response.Redirect("Default.aspx");
        }
        else
        {
            if (Request.QueryString["companyId"] != null)
            {
                DropDownList1.Visible = false;
                Label4.Visible = false;
            }
        }
    }
    protected void add_Click(object sender, EventArgs e)
    {

         string file = "";
         int companyId = 0;

         if (Request.QueryString["companyId"] != null)
         {
             companyId = int.Parse(Request.QueryString["comp_id"]);
         }
         else
         {
             companyId = int.Parse(DropDownList1.SelectedValue);
         }

        if (image.HasFile)
        {
            string filepath = image.PostedFile.FileName;
            string[] words = filepath.Split('.');

            string file_ext = words[(words.Length - 1)];
            string filename = words[0];
            for (int i = 1; i < (words.Length - 2); i++)
            {
                filename = filename + words[0];
            }

            DateTime dt = new DateTime(2008, 3, 9, 16, 5, 7, 123);
            file = filename + String.Format("{0:d_M_yyyy_HH_mm_ss}", dt) + "." + file_ext;
            image.PostedFile.SaveAs(Server.MapPath(".\\") + "announcement_imgs\\" + file);
        }
            //save the file to the server
            int userId = int.Parse(Session["userId"].ToString());
            DateTime value = DateTime.Now;

            string[] comp = DA.CompanyDataAdapter.FindCompany(companyId);
            int temp = DA.AnnouncementDataAdapter.addAnnouncement(companyId,comp[2],title.Text,description.Text,file);

            if (temp != 0)
            {
                Response.Redirect("UserProfile.aspx?Id=" + Session["userId"].ToString() + "&message=addAnnouncement");
            }

    }
    protected void reset_Click(object sender, EventArgs e)
    {
        title.Text = "";
        description.Text = "";
        
    }

    public int AnnouncementDataAdapter { get; set; }
}