﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using DA;
using System.Text.RegularExpressions;

public partial class RegisterPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RegisterButton_Click(object sender, EventArgs e)
    {
        
        if (userImage.HasFile)
        {
            string filepath = userImage.PostedFile.FileName;

            string[] words = filepath.Split('.');

            string file_ext = words[(words.Length - 1)];
            string filename = words[0];
            for (int i = 1; i < (words.Length - 2); i++)
            {
                filename = filename + words[0];
            }

            DateTime dt = new DateTime(2008, 3, 9, 16, 5, 7, 123);
            string file = filename + String.Format("{0:d_M_yyyy_HH_mm_ss}", dt) + "." + file_ext;

            //save the file to the server
            userImage.PostedFile.SaveAs(Server.MapPath(".\\") + "UserAvatars\\" + file);

            int userId = UserDataAdapter.CreateUser(userNameTxt.Text, passwordTxt.Text, firstNameTxt.Text,
                lastNameTxt.Text, roleCombo.SelectedValue, emailTxt.Text, postionTxt.Text,file);
            if (userId != 0)
            {
                FormsAuthentication.SetAuthCookie(userId.ToString(), false);

                string[] users = UserDataAdapter.FindUser(userId);

                Session["userId"] = users[0];
                Session["username"] = users[1];
                Session["role"] = users[2];
               
                Response.Redirect("WelcomePage.aspx");
            }

        }

    }
}