﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="searchResults.aspx.cs" Inherits="searchResults" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <script charset="UTF-8" type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=7.0"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
<div align="center"><h1>Search Results for : 
    <asp:Label ID="searchWord" runat="server" Text=""></asp:Label></h1></div>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" 
        DataSourceID="companySearch" ForeColor="#333333" GridLines="None" Width="763px">
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="name" HeaderText="name" SortExpression="name" />
            <asp:BoundField DataField="country" HeaderText="country" 
                SortExpression="country" />
            <asp:BoundField DataField="state" HeaderText="state" SortExpression="state" />
            <asp:BoundField DataField="city" HeaderText="city" SortExpression="city" />
            <asp:BoundField DataField="category" HeaderText="category" 
                SortExpression="category" />
            <asp:BoundField DataField="email" HeaderText="email" SortExpression="email" />
            <asp:BoundField DataField="web_site" HeaderText="web_site" 
                SortExpression="web_site" />
        </Columns>
        <EditRowStyle BackColor="#999999" />
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <SortedAscendingCellStyle BackColor="#E9E7E2" />
        <SortedAscendingHeaderStyle BackColor="#506C8C" />
        <SortedDescendingCellStyle BackColor="#FFFDF8" />
        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
    </asp:GridView>

    <asp:SqlDataSource ID="companySearch" runat="server" 
        ConnectionString="<%$ ConnectionStrings:sncDb %>" 
        SelectCommand="SELECT [name], [country], [state], [city], [category], [email], [web_site] FROM [company] WHERE ([name] LIKE '%' + @name + '%')">
        <SelectParameters>
            <asp:QueryStringParameter Name="name" QueryStringField="name" Type="String" />
        </SelectParameters>
    </asp:SqlDataSource>
    <div id='mapDiv' style="position:relative; width:39%; height:300px; float:right;"></div>
     <div id='infoBox' style="visibility:hidden; position:absolute; top:0px; left:0px; width:260px; z-index:10000; font-family:Arial; font-size:10px">
                        <div id='infoboxText' style="background-color:White; border-style:solid; border-width:medium; border-color:DarkOrange; min-height:100px; position:absolute; top:0px; left:23px; width:240px; ">
                            <b id='infoboxTitle' style="position:absolute; top:10px; left:10px; width:220px;"></b>
                            <img src="Images/close.png" alt="close" onclick="closeInfoBox()" style="position:absolute;top:10px; right:10px;" />
                            <a id='infoboxDescription' style="position:absolute; top:30px; left:10px; width:220px;"></a>
                        </div>
                    </div> 
    	<script>
            var comps = <%=CompaniesJSON%>;
    	    var mapOptions = {
    	        credentials: "AilRD61GWVDqXCXS-U9nds-ZFuILWEx0UXDKB7F16EyJHXzOgIoCq21PLjSlcIN9",
    	        mapTypeId: Microsoft.Maps.MapTypeId.birdseye,
    	        showScalebar: false
    	    }
    	    var map = new Microsoft.Maps.Map(document.getElementById("mapDiv"), mapOptions);
            for(var i=0; i < comps.length; i++)
            {
                var pin = new Microsoft.Maps.Pushpin(new Microsoft.Maps.Location(comps[i][2], comps[i][3]));
                        Microsoft.Maps.Pushpin.prototype.title = null;
                        pin.title = comps[i][0];
                        Microsoft.Maps.Pushpin.prototype.description = null;
                        pin.description = comps[i][1];

                        Microsoft.Maps.Events.addHandler(pin, 'click', displayEventInfo);
                        map.entities.push(pin);

            }
            
              
                         function displayEventInfo(e) {
                              if (e.targetType == "pushpin") {
                                  var pix = map.tryLocationToPixel(e.target.getLocation(), Microsoft.Maps.PixelReference.control);
                                  var infoboxTitle = document.getElementById('infoboxTitle');
                                  infoboxTitle.innerHTML = e.target.title;
                                  var infoboxDescription = document.getElementById('infoboxDescription');
                                  infoboxDescription.innerHTML = e.target.description;
                                  var infobox = document.getElementById('infoBox');
                                  infobox.style.top = (pix.y - 60) + "px";
                                  infobox.style.left = (pix.x + 5) + "px";
                                  infobox.style.visibility = "visible";
                                  document.getElementById('mapDiv').appendChild(infobox);
                              }
                        }

                      function closeInfoBox() {
                          var infobox = document.getElementById('infoBox');
                          infobox.style.visibility = "hidden";
                      }


	</script>
</asp:Content>

